﻿using System.Windows;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WpfDesktopEdition;

namespace WhiteLinesBetweenTiles
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }


        private void WpfMap_Loaded(object sender, RoutedEventArgs e)
        {
            wpfMap1.MapUnit = GeographyUnit.Meter;
            wpfMap1.ZoomLevelSet = GetCustomZoomLevelSet();
            string connectionString = @"Data Source=D:\Data\Sqlite\LasVegas3857.sqlite;Version=3";
            OsmWorldMapKitLayer worldLayer = new OsmWorldMapKitLayer(connectionString, OsmWorldMapKitDatabaseType.Sqlite);
          
           
            LayerOverlay staticOverlay = new LayerOverlay();
            GeoTiffRasterLayer tiffRasterLayer = new GeoTiffRasterLayer(@"../../Data/world_900913.tif") { DrawingQuality = DrawingQuality.HighSpeed}; // Change to the same value as Overlay's
            staticOverlay.Layers.Add("TiffRasterLayer", tiffRasterLayer);

            staticOverlay.Layers.Add("WorldLayer", worldLayer);
            wpfMap1.Overlays.Add(staticOverlay);


            wpfMap1.CurrentExtent = new RectangleShape(-13053140, 4725285, -12645821, 4147582);
        }

        private static ZoomLevelSet GetCustomZoomLevelSet()
        {
            var zoomLevelSet = new ZoomLevelSet();
            zoomLevelSet.CustomZoomLevels.Add(new ZoomLevel(24000000.0));
            zoomLevelSet.CustomZoomLevels.Add(new ZoomLevel(8000000.0));
            zoomLevelSet.CustomZoomLevels.Add(new ZoomLevel(3000000.0));
            zoomLevelSet.CustomZoomLevels.Add(new ZoomLevel(1000000.0));
            zoomLevelSet.CustomZoomLevels.Add(new ZoomLevel(500000.0));
            zoomLevelSet.CustomZoomLevels.Add(new ZoomLevel(250000.0));
            zoomLevelSet.CustomZoomLevels.Add(new ZoomLevel(125000.0));
            zoomLevelSet.CustomZoomLevels.Add(new ZoomLevel(64000.0));
            zoomLevelSet.CustomZoomLevels.Add(new ZoomLevel(32000.0));
            zoomLevelSet.CustomZoomLevels.Add(new ZoomLevel(16000.0));

            return zoomLevelSet;
        }

    }
}
